You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@hawq.apache.org by es...@apache.org on 2017/03/08 19:34:18 UTC

incubator-hawq git commit: Add diagnostic scriptlet to clean up Apache Jenkins slave.

Repository: incubator-hawq
Updated Branches:
  refs/heads/master 1ad7dcdf4 -> e5bb0d99b


Add diagnostic scriptlet to clean up Apache Jenkins slave.


Project: http://git-wip-us.apache.org/repos/asf/incubator-hawq/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-hawq/commit/e5bb0d99
Tree: http://git-wip-us.apache.org/repos/asf/incubator-hawq/tree/e5bb0d99
Diff: http://git-wip-us.apache.org/repos/asf/incubator-hawq/diff/e5bb0d99

Branch: refs/heads/master
Commit: e5bb0d99b83c3d54bdcc6daceb4a4a744cd36637
Parents: 1ad7dcd
Author: Ed Espino <ee...@pivotal.io>
Authored: Wed Mar 8 11:33:52 2017 -0800
Committer: Ed Espino <ee...@pivotal.io>
Committed: Wed Mar 8 11:33:52 2017 -0800

----------------------------------------------------------------------
 contrib/jenkins/HAWQ-build-pullrequest.sh | 37 ++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-hawq/blob/e5bb0d99/contrib/jenkins/HAWQ-build-pullrequest.sh
----------------------------------------------------------------------
diff --git a/contrib/jenkins/HAWQ-build-pullrequest.sh b/contrib/jenkins/HAWQ-build-pullrequest.sh
index d5d2440..3f99af9 100644
--- a/contrib/jenkins/HAWQ-build-pullrequest.sh
+++ b/contrib/jenkins/HAWQ-build-pullrequest.sh
@@ -26,6 +26,43 @@ work_dir=$(pwd)
 
 echo "working dir is ${work_dir}"
 
+## ----------------------------------------------------------------------
+## Diagnostic scriptlet to fix cloning permission denied issue for HAWQ
+## PR Project (HAWQ-build-pullrequest).
+## 
+## 0) Open two browser "configure" tab's for project:
+##
+##    https://builds.apache.org/job/HAWQ-build-pullrequest/configure
+##
+##    One will be used to make the updates to the project's
+##    configuration that will be reverted by the second unmodified tab
+##    when the slave has been fixed.
+##
+## 1) Change "Source Code Management" to None
+## 2) Uncomment to following section
+## 3) Ensure  the "Restrict where this project can be run" --> "Label
+##    Expression" specifies the slave with the build issue.
+## 4) Manually trigger project "HAWQ-build-pullrequest"
+## 5) Restore project in 2nd "configure" browser tab.
+##
+## ----------------------------------------------------------------------
+
+## ls -al
+##
+## # Remove previous source artifacts from slave. The operation is
+## # performed in the container to have sufficient privileges.
+##
+## docker run -v $(pwd):/data/hawq-src \
+##            -u root rlei/mydocker:centos7-build \
+##            /bin/sh -c "rm -rf /data/hawq-src/*"
+## 
+## ls -al
+## exit 1
+
+## ----------------------------------------------------------------------
+## End Diagnositc scriptlet
+## ----------------------------------------------------------------------
+
 git diff
 git log -n 5
 git status